LSINITCPIO(1)

NAME
lsinitcpio - Examine an initramfs

SYNOPSIS

lsinitcpio [action] [options] image

DESCRIPTION

Examines the contents of an initcpio image. Without any options, lsinitcpio simply lists the contents of an image.

ACTIONS

-a, --analyze
    Analyze the contents of the specified image and print output in human readable form.

-c, --config
    Show the configuration file the given image was built with.

-l, --list
    List the contents of the archive. This is the default action. Pass the -v flag for more detailed results.

-x, --extract
    Extract the given image to the current working directory.

OPTIONS

-h, --help
    Output a short overview of available command-line switches.

-n, --nocolor
    Disable color output.

-V, --version
    Display version information.

-v, --verbose
    Be more verbose. In particular, show long style output when listing the contents of an image, and show files as they are extracted when the -x option is given.

BUGS

Upon writing this manpage, there were no noticeable bugs present. Please visit http://bugs.archlinux.org/ for an up to date list.

SEE ALSO

mkinitcpio(8)

AUTHORS

lsinitcpio was created by Dave Reisner <dreisner@archlinux.org>

COPYRIGHT

Copyright (c) Arch Linux 2011-2012